package cn.com.qmth.examcloud.exchange.outer.api.response;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseResponse;
import io.swagger.annotations.ApiModelProperty;

public class OuterQueryFinalScoreDataResp extends EnterpriseResponse {

    private static final long serialVersionUID = 7651693026235437061L;

    @ApiModelProperty(value = "最终成绩（缺考、违纪未审核时，返回空）", example = "100.0")
    private Double totalScore;

    @ApiModelProperty(value = "是否缺考", example = "false")
    private Boolean absent;

    // @ApiModelProperty(value = "是否违纪", example = "false")
    // private Boolean illegality;

    // @ApiModelProperty(value = "是否已审核", example = "false")
    // private Boolean audit;

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Boolean getAbsent() {
        return absent;
    }

    public void setAbsent(Boolean absent) {
        this.absent = absent;
    }

}
