package cn.com.qmth.examcloud.core.questions.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

public class ExtractConfigDetailBean implements JsonSerializable {

    private static final long serialVersionUID = 6309635978462557320L;

    /**
     * 试卷类型
     */
    private String groupCode;

    /**
     * 关联试卷
     */
    private String paperId;

    /**
     * 抽取权重比例 整数类型 例如：70% 数据库里存70
     */
    private Integer weight;

    public ExtractConfigDetailBean() {

    }

    public ExtractConfigDetailBean(String groupCode, String paperId, Integer weight) {
        this.groupCode = groupCode;
        this.paperId = paperId;
        this.weight = weight;
    }

    public String getGroupCode() {
        return groupCode;
    }

    public void setGroupCode(String groupCode) {
        this.groupCode = groupCode;
    }

    public String getPaperId() {
        return paperId;
    }

    public void setPaperId(String paperId) {
        this.paperId = paperId;
    }

    public Integer getWeight() {
        return weight;
    }

    public void setWeight(Integer weight) {
        this.weight = weight;
    }

}